/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * This class represents a maintenance with its significant properties, which is returned from the API.
 * @export
 * @interface MaintenanceDto
 */
export interface MaintenanceDto {
    /**
     * Gets or sets the maintenance title.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'displayName'?: string;
    /**
     * Gets or sets the URL related to the maintenance.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'href'?: string;
    /**
     * Gets or sets the type of maintenance.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'type'?: string;
    /**
     * Gets or sets the description of the maintenance.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'body'?: string;
    /**
     * Gets or sets the start date of the maintenance, if available.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'startsDate'?: string | null;
    /**
     * Gets or sets the end date of the maintenance, if available.
     * @type {string}
     * @memberof MaintenanceDto
     */
    'endsDate'?: string | null;
}

